%%ItemTitle%%

Innovasys RealWorld
Welcome to Innovasys RealWorld

RealWorld is a sample application built as a demonstration of HelpStudio functionality, including context sensitive help and dynamic help.

Screen Shot

RealWorld screenshot

Functional Overview

The RealWorld sample application includes the following areas of functionality:

Customers

Adding a customer

Editing a customer

Deleting a customer

Employees

Adding an employee

Editing an employee

Deleting an employee

Products

Adding a product

Editing a product

Deleting a product

Suppliers

Adding a supplier

Editing a supplier

Deleting a supplier

Orders

Adding an order

Editing an order

Deleting an order

Categories

Adding a new category

Editing a category

Deleting a category

Shipping

Adding a new shipper

Editing a shipper

Deleting a shipper

Scribble

Changing the line color

Changing the line width

See Also
The RealWorld User Interface

Getting Started

Opening Views

©2015 Innovasys Limited. Send Feedback


The RealWorld User Interface

The RealWorld user interface consists of several areas, outlined below:

RealWorld User Interface Areas

RealWorld User Interface Areas

Standard toolbar | Contains common action buttons and shortcuts to RealWorld views
Browser toolbar | Contains commands for working with the RealWorld browser
Shortcuts | Displays a list of views and Internet shortcuts
Dynamic help | Displays context help on the current view
Workspace | Displays the current view, it could be a browser page, or a data entry window

See Also

Getting Started

Opening Views


Opening Views

RealWorld has several core views and a basic browser interface. All core features can be accessed by the Shortcuts window displayed on the left hand side of the RealWorld user interface.

To open, simply click the corresponding node in the shortcuts treeview. If the window is not currently open, or has been closed, it will be opened. If it is already open, then it will be activated.

Clicking a internet shortcut will open/activate the browser window and display the specified page. Only one browser window can be open at any one time.

Displaying a list of open windows

  • Open the Window menu. A list of the first 10 open windows will be listed.

- or -

  1. Open the Window menu and click More Windows.
  2. The dialog displayed will list all open windows, allowing you to easily view and switch between windows
See Also

Views

Customers
Employees
Products
Suppliers
Orders
Browser


The customers view
Views > The customers view

The Customers view displays a list of all your customers, and provides access for adding, editing or removing them.

See Also

Customers

Adding a customer
Editing a customer
Deleting a customer


The employees view
Views > The employees view

The Employees view displays a list of all your employees, and provides access for adding, editing or removing them.

See Also

Employees

Adding an employee
Editing an employee
Deleting an employee


The products view
Views > The products view

The Products view displays a list of all your products, and provides access for adding, editing or removing them.

See Also

Products

Adding a product
Editing a product
Deleting a product


The suppliers view
Views > The suppliers view

The Suppliers view displays a list of all your suppliers, and provides access for adding, editing or removing them.

See Also

Suppliers

Adding a supplier
Editing a supplier
Deleting a supplier


The orders view
Views > The orders view

The Orders view displays a list of all your orders, and provides access for adding, editing or removing them.

See Also

Orders

Adding an order
Editing an order
Deleting an order


Browser
Views > Browser
The browser window allows you to view local or remote web pages
See Also

Browser

Moving back in the history list
Moving forward in the history list


Adding a customer
Customers > Adding a customer
  1. Display the customers view and click the Add [image] button.
See Also
Editing a customer
Deleting a customer


Editing a customer
Customers > Editing a customer
  1. Display the customers view and select a customer from the list
  2. Click the Edit [image] button.
See Also
Adding a customer
Deleting a customer


Deleting a customer
Customers > Deleting a customer
  1. Display the customers view and select a customer from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing a customer will not remove any related orders or modify other records linked to that customer.

See Also
Adding a customer
Editing a customer


Adding an employee
Employees > Adding an employee
  1. Display the employees view and click the Add [image] button.
See Also
Editing an employee
Deleting an employee


Editing an employee
Employees > Editing an employee
  1. Display the employees view and select an employee from the list
  2. Click the Edit [image] button.
See Also
Adding an employee
Deleting an employee


Deleting an employee
Employees > Deleting an employee
  1. Display the employees view and select an employee from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing an employee will not remove any related orders or modify other records linked to that employee.

See Also
Adding an employee
Editing an employee


Adding a product
Products > Adding a product
  1. Display the products view and click the Add [image] button.
See Also
Editing a product
Deleting a product


Deleting a product
Products > Deleting a product
  1. Display the products view and select a product from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing a product will not remove any related orders or modify other records linked to that customer.

See Also
Adding a product
Editing a product


Adding a supplier
Suppliers > Adding a supplier
  1. Display the suppliers view and click the Add [image] button.
See Also
Editing a supplier
Deleting a supplier


Editing a supplier
Suppliers > Editing a supplier
  1. Display the suppliers view and select a supplier from the list
  2. Click the Edit [image] button.
See Also
Adding a supplier
Deleting a supplier


Deleting a supplier
Suppliers > Deleting a supplier
  1. Display the suppliers view and select a supplier from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

Please note that removing a supplier will not remove any related orders or modify other records linked to that customer.

See Also
Adding a supplier
Editing a supplier


Adding an order
Orders > Adding an order
  1. Display the orders view and click the Add [image] button.
See Also
Editing an order
Deleting an order


Editing an order
Orders > Editing an order
  1. Display the orders view and select an order from the list
  2. Click the Edit [image] button.
See Also
Adding an order
Deleting an order


Deleting an order
Orders > Deleting an order
  1. Display the orders view and select an order from the list
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.

See Also
Adding an order
Editing an order


CommandBar Reference
Reference > CommandBar Reference
 | Displays a preview of the printed output
F1 | Displays the help file for Innovasys RealWorld
 | Displays the RealWorld default page
 | Displays the previous page in the browser history
 | Displays the next page in the browser history
Ctrl+A | Adds a new record
Ctrl+E | Edits the selected record
Ctrl+D | Removes the selected record
 | Send feedback on RealWorld to Innovasys
Ctrl+P | Prints the contents of the current window
Alt+F4 | Quit Innovasys RealWorld
See Also
HotKeys Reference


HotKeys Reference
Reference > HotKeys Reference
F1 | Displays the help file for Innovasys RealWorld
Ctrl+A | Adds a new record
Ctrl+E | Edits the selected record
Ctrl+D | Removes the selected record
Ctrl+P | Prints the contents of the current window
Alt+F4 | Quit Innovasys RealWorld
See Also
CommandBar Reference


Adding a new category
Categories > Adding a new category
  1. From the Tools menu, click Categories
  2. Click the Add [image] button to add a category
  3. Click OK to save your changes
See Also
Editing a category
Deleting a category


Editing a category
Categories > Editing a category
  1. From the Tools menu, click Categories
  2. Select the category you want to edit
  3. Optional. To rename a category, press F2 and enter the new name.
  4. Optional. To change the description of the category, press Enter and enter the new value
  5. Optional. To change the image associated with a category, click Select Image and choose a new graphic.
  6. Press OK to save your changes.
See Also
Adding a new category
Deleting a category


Deleting a category
Categories > Deleting a category
  1. From the Tools menu, click Categories
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.
  4. Click OK to save your changes

Please note that removing a category will not update any products linked to this category.

See Also
Adding a new category
Editing a category


Adding a new shipper
Shipping > Adding a new shipper
  1. From the Tools menu, click Shipping
  2. Click the Add [image] button to add a shipper
  3. Click OK to save your changes
See Also
Editing a shipper
Deleting a shipper


Editing a shipper
Shipping > Editing a shipper
  1. From the Tools menu, click Shipping
  2. Select the shipper you want to edit
  3. Optional. To rename a shipper, press F2 and enter the new name.
  4. Optional. To change the phone number of the shipper, press Enter and enter the new value
  5. Optional. To change the image associated with a shipper, click Select Image and choose a new graphic.
  6. Press OK to save your changes.
See Also
Adding a new shipper
Deleting a shipper


Deleting a shipper
Shipping > Deleting a shipper
  1. From the Tools menu, click Shipping
  2. Click the Delete [image] button.
  3. Answer Yes to the confirmation prompt to remove the record.
  4. Click OK to save your changes

Please note that removing a shipper will not update any orders linked to this shipper.

See Also
Adding a new shipper
Editing a shipper


Changing the line color
Scribble Pad > Changing the line color

Open the drop down color list and select a new color

See Also
Changing the line width


Changing the line width
Scribble Pad > Changing the line width

Adjust the slider from left to right. The further to the ride the slider is, the thicker the line will be

See Also
Changing the line width


Moving back in the history list
Browser > Moving back in the history list

In the Browser toolbar, click Back

See Also
Moving forward in the history list


Moving forward in the history list
Browser > Moving forward in the history list

In the Browser toolbar, click Forward

See Also
Moving back in the history list


Editing a product
  1. Display the products view and select a product from the list
  2. Click the Edit [image] button.
See Also
Adding a product
Deleting a product